=== debian/changelog ===
qt6-base (6.4.2+dfsg-21.1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:53:12 +0000

qt6-base (6.4.2+dfsg-21.1build4) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:55:43 +1300

qt6-base (6.4.2+dfsg-21.1build3) noble; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:48:58 +0100

qt6-base (6.4.2+dfsg-21.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:08:42 +0000

qt6-base (6.4.2+dfsg-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062725

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:45:27 +0000

qt6-base (6.4.2+dfsg-21) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-51714.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Jan 2024 14:53:25 +0100

qt6-base (6.4.2+dfsg-20) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-37369.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 16:11:45 +0100

qt6-base (6.4.2+dfsg-19) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport upstream patch to fix build with libxkbcommon 1.6.0
    (Closes: #1054674).

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Oct 2023 11:26:45 +0200

qt6-base (6.4.2+dfsg-18) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do build sqlbrowser. (Closes: #1042709)
  * Move from deprecated QT_BUILD_TOOLS_WHEN_CROSSCOMPILING to
    QT_FORCE_BUILD_TOOLS.

  [ John Paul Adrian Glaubitz ]
  * Add Add-SH-detection.patch in order to restore SH detection
   (Closes: #1043225).

 -- Patrick Franz <deltaone@debian.org>  Tue, 08 Aug 2023 08:40:37 +0200

qt6-base (6.4.2+dfsg-17) unstable; urgency=medium

  * Team upload.
  * Add remove_rpath_from_examples.patch in order to avoid setting
    RPATH/RUNPATH on examples' binaries.
  * Add forkfd_grow_stack_upwards_on_hppa.patch to solve how stack grows in
    HPPA. Thanks John David Anglin for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 14:26:34 -0300

qt6-base (6.4.2+dfsg-16) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 09:47:53 -0300

qt6-base (6.4.2+dfsg-15) experimental; urgency=medium

  * Team upload.

  [ Eren Eroğlu ]
  * Add qt6-base-doc* packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove build path from documentation's index files.
  * Add a lintian override for qt6-base-doc-html, documentation is shipped in
    another path on Qt6. We provide symlinks in order to fix this.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Jul 2023 13:21:44 -0300

qt6-base (6.4.2+dfsg-14) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Jul 2023 16:42:10 -0300

qt6-base (6.4.2+dfsg-13) experimental; urgency=medium

  * Team upload to unstable.

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD (which was never really used):
    - drop the kfreebsd-any qualifiers from the firebird-dev build dependency
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
  * Backport upstream commit eeb66b99df521c4a32b8eda1d889f615319355a6 to support
    Alpha; patch upstream_Add-enable-Alpha-detection.patch. (Closes: #1025823)
  * Mark some Linux-only examples in qt6-base-examples as such.
  * Recommend qt6-wayland in libqt6gui6, so it is installed by default.
    (Closes: #1038089)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix wrong Break+Replaces on qt6-base-dev against libqt6opengl6-dev
    (Closes: #1041300). Thanks Helmut Grohne for the bug report.
  * Remove libgl1-mesa-dev from build dependencies. It has been superseded by
    libgl-dev, which is already a build dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Jul 2023 15:52:14 -0300

qt6-base (6.4.2+dfsg-12) experimental; urgency=medium

  * Team upload.
  * Enable building the examples, even if they do not ship the source code as
    Qt 5 does.
  * Merge libqt6opengl6-dev into qt6-base-dev, it is not the same situation as
    with Qt 5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Jul 2023 14:21:06 -0300

qt6-base (6.4.2+dfsg-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-34410 (Closes: #1037209).

 -- Patrick Franz <deltaone@debian.org>  Wed, 07 Jun 2023 21:54:59 +0200

qt6-base (6.4.2+dfsg-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-33285 (Closes: #1036848).

 -- Patrick Franz <deltaone@debian.org>  Sun, 28 May 2023 10:41:24 +0200

qt6-base (6.4.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix CVE-2023-32762.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:40:45 -0300

qt6-base (6.4.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch for solving CVE-2023-32763.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 10:42:21 -0300

qt6-base (6.4.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Update patch for CVE-2023-24607.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Feb 2023 23:22:10 +0100

qt6-base (6.4.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix CVE-2023-24607 (Closes: #1031871).

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Feb 2023 22:31:24 +0100

qt6-base (6.4.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix path for <triplet>-qmake6 cross wrapper.


